## cascading.tap.partition
Class BasePartitionTap.PartitionCollector

    java.lang.Object
      cascading.tuple.TupleEntryCollector
          cascading.tap.partition.BasePartitionTap.PartitionCollector

Enclosing class:
  BasePartitionTap<Config,Input,Output>

    public class BasePartitionTap.PartitionCollector

extends TupleEntryCollector

Field Summary

Fields inherited from class cascading.tuple.TupleEntryCollector
`tupleEntry`

Constructor Summary
`BasePartitionTap.PartitionCollector(FlowProcess<Config> flowProcess)`

Method Summary
`void` `close()` Method close closes the underlying resource being written to.
`void` `closeCollector(String path)`
`protected void` `collect(TupleEntry tupleEntry)`

Methods inherited from class cascading.tuple.TupleEntryCollector
`add, add, setFields`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasePartitionTap.PartitionCollector

    public BasePartitionTap.PartitionCollector(FlowProcess<Config> flowProcess)

Method Detail

### close

    public void close()

  Description copied from class: `TupleEntryCollector`
  Method close closes the underlying resource being written to.

  This method should be called when when an instance is returned via `Tap.openForWrite(cascading.flow.FlowProcess)` and no more `Tuple` instances will be written out.

  This method must not be called when an instance is returned from `getOutputCollector()` from any of the relevant `OperationCall` implementations (inside a Function, Aggregator, or Buffer).

  Overrides:
    `close` in class `TupleEntryCollector`

### closeCollector

    public void closeCollector(String path)

### collect

    protected void collect(TupleEntry tupleEntry)
                    throws IOException

  Specified by:
    `collect` in class `TupleEntryCollector`
  Throws:
    `IOException`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.